﻿using System.Collections.Generic;

namespace AgApp.Web
{
	public class MyRadUploadHandler : Telerik.Windows.RadUploadHandler
	{
		public override void ProcessStream()
		{
			// just to check parameter are sent:
			string myPostParamValue = this.Request.Form["Custom-POST-Param"];
			string myFileParamValue = this.Request.Form["Custom-FILE-Param"];

			base.ProcessStream();
		}

		public override Dictionary<string, object> GetAssociatedData()
		{
			// here we are returning the custom parameters back to the clent-side
			string myPostParamValue = this.Request.Form["Custom-POST-Param"];
			string myFileParamValue = this.Request.Form["Custom-FILE-Param"];
			Dictionary<string, object> dict = base.GetAssociatedData();
			if (!string.IsNullOrEmpty(myPostParamValue))
			{
				dict.Add("Custom-POST-Param", myPostParamValue);
			}
			if (!string.IsNullOrEmpty(myFileParamValue))
			{
				dict.Add("Custom-FILE-Param", myFileParamValue);
			}
			return dict;
		}
	}
}
